summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 22:23:16 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:23:16 +0200
commit0318a98bed10dd197d29b276b3fe4e6d742044cf (patch)
treef1bc5da4567cc67b6707895a1cd675a6c1190bfa /graphics
parente007950e02119b101af0887e6aa5dac6169e669c (diff)
downloadslackbuilds-0318a98bed10dd197d29b276b3fe4e6d742044cf.tar.gz
slackbuilds-0318a98bed10dd197d29b276b3fe4e6d742044cf.tar.xz
graphics/kipi-plugins: Updated for version 0.1.5
Diffstat (limited to 'graphics')
-rw-r--r--graphics/kipi-plugins/README6
-rw-r--r--graphics/kipi-plugins/kipi-plugins.SlackBuild25
-rw-r--r--graphics/kipi-plugins/kipi-plugins.info6
3 files changed, 20 insertions, 17 deletions
diff --git a/graphics/kipi-plugins/README b/graphics/kipi-plugins/README
index fa094df7cc..61ce80cea7 100644
--- a/graphics/kipi-plugins/README
+++ b/graphics/kipi-plugins/README
@@ -4,7 +4,5 @@ and Gwenview). They can add extra menus and shortcuts,
and extend the host programs features. You can install
as many or as few as you like, from within host programs.
-The following programs are required to build Kipi Plugins:
-(also available at http://www.slackbuilds.org/)
-
-exiv2, imlib2, libgphoto2, libkdcraw, libkipi
+exiv2, libgphoto2, libkdcraw, libkexiv2, and libkipi (also
+available at SBo) are required to build Kipi Plugins.
diff --git a/graphics/kipi-plugins/kipi-plugins.SlackBuild b/graphics/kipi-plugins/kipi-plugins.SlackBuild
index bc68a05b46..4c13e41c4d 100644
--- a/graphics/kipi-plugins/kipi-plugins.SlackBuild
+++ b/graphics/kipi-plugins/kipi-plugins.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Kipi Plugins
-# Copyright 2007 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +23,17 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kipi-plugins
-VERSION=0.1.4
+VERSION=0.1.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-KDEPREF=$(kde-config --prefix)
-PDOCS="AUTHORS ChangeLog COPYING INSTALL NEWS PACKAGING README RELEASE.rev TODO"
+DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS PACKAGING README RELEASE.rev TODO"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -45,18 +45,22 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=$KDEPREF \
+ --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=$KDEPREF/man \
+ --mandir=/usr/man \
--program-prefix="" \
--program-suffix="" \
--disable-debug \
@@ -67,14 +71,15 @@ CXXFLAGS="$SLKCFLAGS" \
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
-( cd $PKG/$KDEPREF/man
+( cd $PKG//usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/graphics/kipi-plugins/kipi-plugins.info b/graphics/kipi-plugins/kipi-plugins.info
index 5d35a4ce0f..c1f4df3d47 100644
--- a/graphics/kipi-plugins/kipi-plugins.info
+++ b/graphics/kipi-plugins/kipi-plugins.info
@@ -1,8 +1,8 @@
PRGNAM="kipi-plugins"
-VERSION="0.1.4"
+VERSION="0.1.5"
HOMEPAGE="http://extragear.kde.org/apps/kipi/"
-DOWNLOAD="http://downloads.sourceforge.net/kipi/kipi-plugins-0.1.4.tar.bz2"
-MD5SUM="62469960593284b62302bde75a898c46"
+DOWNLOAD="http://downloads.sourceforge.net/kipi/kipi-plugins-0.1.5.tar.bz2"
+MD5SUM="099122d802530d22e69b314b3e97e30b"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
APPROVED="rworkman"